Bug 381222 - Digikam crash on fuzzy search
Summary: Digikam crash on fuzzy search
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Thumbs-Engine (show other bugs)
Version: 5.2.0
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-06-15 09:43 UTC by braggrj
Modified: 2018-03-29 20:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description braggrj 2017-06-15 09:43:10 UTC
Application: digikam (5.2.0)

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.4.70-18.9-default x86_64
Distribution: "openSUSE Leap 42.2"

-- Information about the crash:
Just updated and copied config from Digikam 4.  Imported some photos OK.
Playing around and opened Fuzzy search and program crashed.
Not retried at this time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0be7bd09c0 (LWP 16629))]

Thread 21 (Thread 0x7f0b02ffd700 (LWP 18486)):
#0  0x00007f0be2fa78e9 in syscall () from /lib64/libc.so.6
#1  0x00007f0bda25b8ef in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0bca4de1e8 in gst_base_sink_wait_preroll () from /usr/lib64/libgstbase-1.0.so.0
#3  0x00007f0bca4de630 in gst_base_sink_do_preroll () from /usr/lib64/libgstbase-1.0.so.0
#4  0x00007f0bca4deeab in ?? () from /usr/lib64/libgstbase-1.0.so.0
#5  0x00007f0bca4e03e6 in ?? () from /usr/lib64/libgstbase-1.0.so.0
#6  0x00007f0bca4e1c84 in ?? () from /usr/lib64/libgstbase-1.0.so.0
#7  0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#8  0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#9  0x00007f0bca4eb328 in ?? () from /usr/lib64/libgstbase-1.0.so.0
#10 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#11 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#12 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#13 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#14 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#15 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#16 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#17 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#18 0x00007f0bca4eb328 in ?? () from /usr/lib64/libgstbase-1.0.so.0
#19 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#20 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#21 0x00007f0bca4eb328 in ?? () from /usr/lib64/libgstbase-1.0.so.0
#22 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#23 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#24 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#25 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#26 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#27 0x00007f0ba9f0d26f in ?? () from /usr/lib64/gstreamer-1.0/libgstcoreelements.so
#28 0x00007f0bca9c83b9 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#29 0x00007f0bda23f32c in ?? () from /usr/lib64/libglib-2.0.so.0
#30 0x00007f0bda23e9a5 in ?? () from /usr/lib64/libglib-2.0.so.0
#31 0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#32 0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f0b037fe700 (LWP 18485)):
#0  0x00007f0be2fa78e9 in syscall () from /lib64/libc.so.6
#1  0x00007f0bda25b8ef in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0ba9f0da15 in ?? () from /usr/lib64/gstreamer-1.0/libgstcoreelements.so
#3  0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#4  0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#5  0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#6  0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#7  0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#8  0x00007f0baa381185 in ?? () from /usr/lib64/gstreamer-1.0/libgstplayback.so
#9  0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#10 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#11 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#12 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#13 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#14 0x00007f0ba9f00e79 in ?? () from /usr/lib64/gstreamer-1.0/libgstcoreelements.so
#15 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#16 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#17 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#18 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#19 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#20 0x00007f0bca98724b in gst_proxy_pad_chain_default () from /usr/lib64/libgstreamer-1.0.so.0
#21 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#22 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#23 0x00007f0bca03549d in ?? () from /usr/lib64/libgstvideo-1.0.so.0
#24 0x00007f0bca03b8b4 in gst_video_decoder_finish_frame () from /usr/lib64/libgstvideo-1.0.so.0
#25 0x00007f0b0058aa77 in ?? () from /usr/lib64/gstreamer-1.0/libgstjpeg.so
#26 0x00007f0bca03450c in ?? () from /usr/lib64/libgstvideo-1.0.so.0
#27 0x00007f0bca03490a in ?? () from /usr/lib64/libgstvideo-1.0.so.0
#28 0x00007f0bca036d6a in ?? () from /usr/lib64/libgstvideo-1.0.so.0
#29 0x00007f0bca9961b5 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#30 0x00007f0bca99dfbe in gst_pad_push () from /usr/lib64/libgstreamer-1.0.so.0
#31 0x00007f0ba9f09b2c in ?? () from /usr/lib64/gstreamer-1.0/libgstcoreelements.so
#32 0x00007f0bca9c83b9 in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#33 0x00007f0bda23f32c in ?? () from /usr/lib64/libglib-2.0.so.0
#34 0x00007f0bda23e9a5 in ?? () from /usr/lib64/libglib-2.0.so.0
#35 0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#36 0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f0b03fff700 (LWP 18484)):
#0  0x00007f0be2fa78e9 in syscall () from /lib64/libc.so.6
#1  0x00007f0bda25b8ef in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0bca9c859b in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#3  0x00007f0bda23f32c in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f0bda23e9a5 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f0b32755700 (LWP 18483)):
#0  0x00007f0be2fa78e9 in syscall () from /lib64/libc.so.6
#1  0x00007f0bda25b8ef in g_cond_wait () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0bca9c859b in ?? () from /usr/lib64/libgstreamer-1.0.so.0
#3  0x00007f0bda23f32c in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f0bda23e9a5 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f0b31f54700 (LWP 18459)):
#0  0x00007f0be2fb813b in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f0be2f3a520 in _int_free () from /lib64/libc.so.6
#2  0x00007f0be64e49a9 in Digikam::LoadSaveThread::run (this=0x7f0be6f36460 <Digikam::(anonymous namespace)::Q_QGS_defaultIconViewObject::innerFunction()::holder>) at /usr/src/debug/digikam-5.2.0/core/libs/threadimageio/loadsavethread.cpp:108
#3  0x00007f0be652693e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x1146cd0) at /usr/src/debug/digikam-5.2.0/core/libs/threads/dynamicthread.cpp:183
#4  0x00007f0be38b181e in QThreadPoolThread::run (this=0x5d2c2b0) at thread/qthreadpool.cpp:93
#5  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x5d2c2b0) at thread/qthread_unix.cpp:341
#6  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f0b337fe700 (LWP 18215)):
#0  0x00007f0bdf6b4468 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0be38b55a8 in QWaitConditionPrivate::wait_relative (time=250, this=0x10bc8e0) at thread/qwaitcondition_unix.cpp:126
#2  QWaitConditionPrivate::wait (time=250, this=0x10bc8e0) at thread/qwaitcondition_unix.cpp:134
#3  QWaitCondition::wait (this=this@entry=0x105dbe8, mutex=mutex@entry=0x105dbe0, time=time@entry=250) at thread/qwaitcondition_unix.cpp:208
#4  0x00007f0be6512142 in Digikam::VideoThumbnailerJob::run (this=0x10b7bb0) at /usr/src/debug/digikam-5.2.0/core/libs/threadimageio/videothumbnailerjob.cpp:171
#5  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x10b7bb0) at thread/qthread_unix.cpp:341
#6  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f0b027fc700 (LWP 17839)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0be38b565b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x5083aa0) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0x5083268, mutex=mutex@entry=0x5083260, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f0be6512124 in Digikam::VideoThumbnailerJob::run (this=0x5083670) at /usr/src/debug/digikam-5.2.0/core/libs/threadimageio/videothumbnailerjob.cpp:177
#4  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x5083670) at thread/qthread_unix.cpp:341
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f0b5938a700 (LWP 16692)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f0b59b8b700 (LWP 16691)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f0b5a38c700 (LWP 16690)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f0b5238c700 (LWP 16689)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f0b5ab8d700 (LWP 16688)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f0b5b38e700 (LWP 16687)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd81346e3 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f0b5bbae700 (LWP 16686)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd813370d in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8456341 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f0ba8a67700 (LWP 16685)):
#0  0x00007f0be2fa349d in poll () from /lib64/libc.so.6
#1  0x00007f0bda21a314 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0bda21a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0be3ac732b in QEventDispatcherGlib::processEvents (this=0x7f0ba00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f0be3a74fdb in QEventLoop::exec (this=this@entry=0x7f0ba8a66c10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f0be38aff1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x4b72e40) at thread/qthread_unix.cpp:341
#7  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f0ba98c0700 (LWP 16679)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0bd8427873 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007f0bd8427899 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f0bab1f2700 (LWP 16665)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0be38b565b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0xf87950) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0xff5f10, mutex=mutex@entry=0xff5f08, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f0be65253c9 in Digikam::ParkingThread::run (this=0xff5ef0) at /usr/src/debug/digikam-5.2.0/core/libs/threads/threadmanager.cpp:115
#4  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0xff5ef0) at thread/qthread_unix.cpp:341
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f0bab9f3700 (LWP 16660)):
#0  0x00007f0bdf6b40bf in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0be38b565b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0xfebb20) at thread/qwaitcondition_unix.cpp:136
#2  QWaitCondition::wait (this=this@entry=0xe73630, mutex=mutex@entry=0xe73628, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007f0be71320d0 in Digikam::ScanController::run (this=0x7f0be7a3eb00 <_ZZN7Digikam12_GLOBAL__N_113Q_QGS_creator13innerFunctionEvE6holder>) at /usr/src/debug/digikam-5.2.0/core/libs/database/utils/scancontroller.cpp:677
#4  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x7f0be7a3eb00 <_ZZN7Digikam12_GLOBAL__N_113Q_QGS_creator13innerFunctionEvE6holder>) at thread/qthread_unix.cpp:341
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f0bb90a5700 (LWP 16638)):
#0  0x00007f0bda2198fb in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f0bda21a230 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0bda21a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0be3ac732b in QEventDispatcherGlib::processEvents (this=0x7f0bac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f0be3a74fdb in QEventLoop::exec (this=this@entry=0x7f0bb90a4be0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007f0be38aff1a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f0bdf8db1d5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0x7f0bdfb43ce0) at thread/qthread_unix.cpp:341
#8  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f0bbacde700 (LWP 16637)):
#0  0x00007f0be2fa349d in poll () from /lib64/libc.so.6
#1  0x00007f0bd47723e2 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f0bd4773fcf in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f0bbcbc8839 in QXcbEventReader::run (this=0xb12180) at qxcbconnection.cpp:1325
#4  0x00007f0be38b49e9 in QThreadPrivate::start (arg=0xb12180) at thread/qthread_unix.cpp:341
#5  0x00007f0bdf6af744 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0be2fabd3d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f0be7bd09c0 (LWP 16629)):
[KCrash Handler]
#6  0x00007f0be2ef68d7 in raise () from /lib64/libc.so.6
#7  0x00007f0be2ef7caa in abort () from /lib64/libc.so.6
#8  0x00007f0be2f341b4 in __libc_message () from /lib64/libc.so.6
#9  0x00007f0be2f399d6 in malloc_printerr () from /lib64/libc.so.6
#10 0x00007f0be2f3bf5f in _int_malloc () from /lib64/libc.so.6
#11 0x00007f0be2f3d590 in malloc () from /lib64/libc.so.6
#12 0x00007f0be400e0b8 in QImageData::create (size=..., format=format@entry=QImage::Format_ARGB32_Premultiplied) at image/qimage.cpp:150
#13 0x00007f0be400e2cb in QImage::QImage (this=0x7fff27609180, width=1273, height=1273, format=QImage::Format_ARGB32_Premultiplied) at image/qimage.cpp:766
#14 0x00007f0be4012c57 in QImage::convertToFormat_helper (this=this@entry=0x7fff27609410, format=QImage::Format_ARGB32_Premultiplied, flags=...) at image/qimage.cpp:2006
#15 0x00007f0be40156c6 in QImage::convertToFormat(QImage::Format, QFlags<Qt::ImageConversionFlag>) const & (flags=..., f=<optimized out>, this=<optimized out>) at image/qimage.h:172
#16 QImage::smoothScaled (this=this@entry=0x7fff27609590, w=w@entry=256, h=256) at image/qimage.cpp:4420
#17 0x00007f0be401594f in QImage::transformed (this=this@entry=0x7fff27609590, matrix=..., mode=mode@entry=Qt::SmoothTransformation) at image/qimage.cpp:4638
#18 0x00007f0be4016385 in QImage::scaled (this=this@entry=0x7fff27609590, s=..., aspectMode=aspectMode@entry=Qt::KeepAspectRatio, mode=mode@entry=Qt::SmoothTransformation) at image/qimage.cpp:2656
#19 0x00007f0be65116b4 in QImage::scaled (mode=Qt::SmoothTransformation, aspectMode=Qt::KeepAspectRatio, h=<optimized out>, w=<optimized out>, this=0x7fff27609590) at /usr/include/qt5/QtGui/qimage.h:256
#20 Digikam::VideoThumbnailer::Private::slotProcessframe (this=this@entry=0x11950d0, frm=...) at /usr/src/debug/digikam-5.2.0/core/libs/threadimageio/videothumbnailer_p.cpp:717
#21 0x00007f0be6513c5c in Digikam::VideoThumbnailer::Private::qt_static_metacall (_o=0x11950d0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/digikam-5.2.0/build/core/libs/threadimageio/moc_videothumbnailer_p.cpp:83
#22 0x00007f0be3aa0bb1 in QMetaObject::activate (sender=0x105fb90, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff276097a0) at kernel/qobject.cpp:3730
#23 0x00007f0be3aa1717 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f0be19137e0 <QVideoProbe::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff276097a0) at kernel/qobject.cpp:3595
#24 0x00007f0be16d6c42 in QVideoProbe::videoFrameProbed (this=<optimized out>, _t1=...) at .moc/moc_qvideoprobe.cpp:150
#25 0x00007f0be16d6cb1 in QVideoProbe::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qvideoprobe.cpp:75
#26 0x00007f0be3aa0bb1 in QMetaObject::activate (sender=sender@entry=0x852a4b0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff27609930) at kernel/qobject.cpp:3730
#27 0x00007f0be3aa1717 in QMetaObject::activate (sender=sender@entry=0x852a4b0, m=m@entry=0x7f0be19112a0 <QMediaVideoProbeControl::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff27609930) at kernel/qobject.cpp:3595
#28 0x00007f0be1696d62 in QMediaVideoProbeControl::videoFrameProbed (this=this@entry=0x852a4b0, _t1=...) at .moc/moc_qmediavideoprobecontrol.cpp:139
#29 0x00007f0baa5bfa4b in QGstreamerVideoProbeControl::frameProbed (this=0x852a4b0) at qgstreamervideoprobecontrol.cpp:124
#30 0x00007f0be3aa2166 in QObject::event (this=0x852a4b0, e=<optimized out>) at kernel/qobject.cpp:1256
#31 0x00007f0be477de3c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x852a4b0, e=0x7f0b280f4300) at kernel/qapplication.cpp:3804
#32 0x00007f0be478249a in QApplication::notify (this=0x7fff2760a390, receiver=0x852a4b0, e=0x7f0b280f4300) at kernel/qapplication.cpp:3561
#33 0x00007f0be3a76fc5 in QCoreApplication::notifyInternal2 (receiver=0x852a4b0, event=event@entry=0x7f0b280f4300) at kernel/qcoreapplication.cpp:1015
#34 0x00007f0be3a78daa in QCoreApplication::sendEvent (event=0x7f0b280f4300, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#35 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xa2f3e0) at kernel/qcoreapplication.cpp:1650
#36 0x00007f0be3a79358 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#37 0x00007f0be3ac7c83 in postEventSourceDispatch (s=0xb4fec0) at kernel/qeventdispatcher_glib.cpp:270
#38 0x00007f0bda21a134 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#39 0x00007f0bda21a388 in ?? () from /usr/lib64/libglib-2.0.so.0
#40 0x00007f0bda21a42c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f0be3ac730c in QEventDispatcherGlib::processEvents (this=0xb3a9a0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#42 0x00007f0be3a74fdb in QEventLoop::exec (this=this@entry=0x7fff27609f50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#43 0x00007f0be3a7cec6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
#44 0x00007f0be3fc270c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1607
#45 0x00007f0be477b045 in QApplication::exec () at kernel/qapplication.cpp:2979
#46 0x0000000000408946 in main (argc=3, argv=<optimized out>) at /usr/src/debug/digikam-5.2.0/core/app/main/main.cpp:238

Reported using DrKonqi
Comment 1 caulier.gilles 2017-06-15 11:15:15 UTC
It crash in video thumbnailer, not in fingerprint code.

After 5.3.0, we have rewrite all the video support in digiKam using QtAV instead QtMultmedia.

I'm sure that crash will disapear with digiKam 5.6.0 just released. Please test with Linux AppImage bundle available here :

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM

Gilles Caulier
Comment 2 caulier.gilles 2017-06-22 21:43:12 UTC
digiKam 5.6.0 is now released and available as bundle for Linux, MacOS and Windows.

https://www.digikam.org/news/2017-06-21-5.6.0-release-announcement/

Can you check if problem still exists with this version ?

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2017-07-23 18:27:32 UTC
New digiKam 5.7.0 are built with current implementation as pre-release bundles:

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM

Problem still reproducible ?
Comment 4 Maik Qualmann 2017-12-17 19:49:32 UTC
Git commit 6a9fd9891a3ff341dc42fe36158cbf0101d513b6 by Maik Qualmann.
Committed on 17/12/2017 at 19:20.
Pushed by mqualmann into branch 'master'.

delete threads from memory when they are finished
Related: bug 375317, bug 375035, bug 321784, bug 325712, bug 328732, bug 330227, bug 331912, bug 344661, bug 345395, bug 350549, bug 381877, bug 338249, bug 329651, bug 329091, bug 387821

M  +2    -1    NEWS
M  +25   -0    libs/database/dbjobs/dbjobsmanager.cpp
M  +35   -0    libs/iojobs/iojobsmanager.cpp

https://commits.kde.org/digikam/6a9fd9891a3ff341dc42fe36158cbf0101d513b6
Comment 5 caulier.gilles 2017-12-17 20:02:39 UTC
Following this commit:

https://commits.kde.org/digikam/6a9fd9891a3ff341dc42fe36158cbf0101d513b6

... the approach to fix this problem is under way and new digiKam 5.8.0 pre-release bundles will be compiled tonight to lets a chance to end-users to give a feedback about this fix before the 5.8.0 official release planed before Christmas 2017.

The bundles will be available in 2 hours at this url:

https://files.kde.org/digikam/

Please do not waste time to test if this file is always valid for next 5.8.0.

Thanks in advance

Gilles Caulier
Comment 6 Maik Qualmann 2018-03-29 19:30:09 UTC
We now have a FFmpeg-based video thumbnailer. The code leading to crash no longer exists. I close the bug.

Maik
Comment 7 caulier.gilles 2018-03-29 20:39:36 UTC
With 6.0.0 we use a FFmpeg-based video thumbnailer. The code leading to crash no
longer exists. I close the bug.